## org.apache.cassandra.io
Interface ICompactSerializer<T>

All Known Implementing Classes:
  AntiEntropyService.TreeRequestVerbHandler, AntiEntropyService.TreeResponseVerbHandler, WriteResponse.WriteResponseSerializer

    public interface ICompactSerializer<T>

Allows for the controlled serialization/deserialization of a given type.

Method Summary
`T` `deserialize(java.io.DataInputStream dis)` Deserialize into the specified DataInputStream instance.
`void` `serialize(T t, java.io.DataOutputStream dos)` Serialize the specified type into the specified DataOutputStream instance.

Method Detail

### serialize

    void serialize(T t,
                   java.io.DataOutputStream dos)
                   throws java.io.IOException

  Serialize the specified type into the specified DataOutputStream instance.

  Parameters:
    `t` - type that needs to be serialized
    `dos` - DataOutput into which serialization needs to happen.
  Throws:
    `java.io.IOException`

### deserialize

    T deserialize(java.io.DataInputStream dis)
                  throws java.io.IOException

  Deserialize into the specified DataInputStream instance.

  Parameters:
    `dis` - DataInput from which deserialization needs to happen.
  Returns:
    the type that was deserialized
  Throws:
    `java.io.IOException`

Copyright © 2010 The Apache Software Foundation